### Function

# Ide g_file_walk

#### Declaration

    void
    ide_g_file_walk (
      GFile* directory,
      const gchar* attributes,
      GCancellable* cancellable,
      IdeFileWalkCallback callback,
      gpointer callback_data
    )

#### Description

Calls `callback` for every directory starting from `directory`.

All of the fileinfo for the directory will be provided to the callback for each directory.

Available since: | 3.32

#### Parameters

`directory` | `GFile`
| A `GFile` that is a directory.
| The data is owned by the caller of the function.
`attributes` | `const gchar*`
| Attributes to include in `GFileInfo`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| An optional cancellable.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `IdeFileWalkCallback`
| A callback for each directory starting from `directory`.
`callback_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.